> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenfall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balance

> Retrieve your current account balance and billing type

Returns the current balance and billing type for your account.

<Info>
  This endpoint uses the native Lumenfall API path (`/v1/balance`), not the OpenAI-compatible prefix (`/openai/v1`).
</Info>

## Response

<ResponseField name="object" type="string">
  Always `balance`.
</ResponseField>

<ResponseField name="billing_type" type="string">
  Your account's billing type - either `prepaid` or `postpaid`.
</ResponseField>

<ResponseField name="available" type="object">
  The available balance.

  <Expandable title="Balance object">
    <ResponseField name="amount" type="number | null">
      Available balance in USD. `null` for postpaid accounts or if the balance is temporarily unavailable.
    </ResponseField>

    <ResponseField name="currency" type="string">
      Always `usd`.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.lumenfall.ai/v1/balance \
    -H "Authorization: Bearer $LUMENFALL_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.lumenfall.ai/v1/balance",
      headers={"Authorization": "Bearer your-lumenfall-api-key"}
  )
  print(response.json())
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch("https://api.lumenfall.ai/v1/balance", {
    headers: { Authorization: "Bearer your-lumenfall-api-key" },
  });
  const balance = await response.json();
  console.log(balance);
  ```
</RequestExample>

<ResponseExample>
  ```json Prepaid theme={null}
  {
    "object": "balance",
    "billing_type": "prepaid",
    "available": {
      "amount": 12.50,
      "currency": "usd"
    }
  }
  ```

  ```json Postpaid theme={null}
  {
    "object": "balance",
    "billing_type": "postpaid",
    "available": {
      "amount": null,
      "currency": "usd"
    }
  }
  ```
</ResponseExample>
